//
// Created by robin on 1/12/18.
//

#include <QDebugStateSaver>
#include "dns-base/RecordData/QDnsRecordData.h"

namespace QDns
{
    namespace Base
    {
        QDnsRecordData::QDnsRecordData()
            : m_isValid(true)
        {
        }

        bool QDnsRecordData::isValid() const
        {
            return m_isValid;
        }

        QString QDnsRecordData::toString() const
        {
            return "NOT_IMPLEMENTED";
        }

        QDebug operator<<(QDebug debug, const QDnsRecordData &rd)
        {
            QDebugStateSaver saver(debug);
            debug.noquote().nospace() << rd.toString();
            return debug;
        }
    }
}