//
// Created by robin on 1/22/18.
//

#ifndef QDNSAGG_QDNSRECORDDATAAAAA_H
#define QDNSAGG_QDNSRECORDDATAAAAA_H

#include <qplatformdefs.h>
#include <QByteArray>
#include <QDataStream>
#include <QHostAddress>
#include "QDnsRecordData.h"

namespace QDns
{
    namespace Base
    {
        class QDnsRecordDataAAAA : public QDnsRecordData
        {
        public:
            QDnsRecordDataAAAA();

            QDnsRecordDataAAAA(const QByteArray &packetData, quint32 pos);

            QDnsRecordDataAAAA(const QByteArray &packetData, QDataStream &dataStream);

            QByteArray serialize() const override;

            void serialize(QDataStream &dataStream) const override;

            virtual QDnsRecordData* clone() const override;

            const QHostAddress &getIp() const;

            void setIp(const QHostAddress &ip);

            QString toString() const override;

        private:
            void parse(const QByteArray &packetData, QDataStream &dataStream);

            QHostAddress m_ip;
        };
    }
}


#endif //QDNSAGG_QDNSRECORDDATAAAAA_H
